Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.runtime
Interface JMSSessionRuntimeMBean

public interface JMSSessionRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

This class is used for monitoring a WebLogic JMS session.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.String` | `getAcknowledgeMode()` Returns the acknowledge mode as one of the following: `AUTO_ACKNOWLEDGE` `CLIENT_ACKNOWLEDGE` `DUPS_OK_ACKNOWLEDGE` `NO_ACKNOWLEDGE`
`long` | `getBytesPendingCount()` Returns the number of bytes pending (uncommitted and unacknowledged) for this session.
`long` | `getBytesReceivedCount()` Returns the number of bytes received by this session since the last reset.
`long` | `getBytesSentCount()` Returns the number of bytes sent by this session since the last reset.
`JMSConsumerRuntimeMBean[]` | `getConsumers()` Returns an array of consumers for this session.
`long` | `getConsumersCurrentCount()` Returns the current number of consumers for this session.
`long` | `getConsumersHighCount()` Returns the peak number of consumers for this session since the last reset.
`long` | `getConsumersTotalCount()` Returns the number of consumers instantiated by this session since the last reset.
`long` | `getMessagesPendingCount()` Returns the number of messages pending (uncommitted and unacknowledged) for this session.
`long` | `getMessagesReceivedCount()` Returns the number of messages sent by this session since the last reset.
`long` | `getMessagesSentCount()` Returns the number of bytes sent by this session since the last reset.
`JMSProducerRuntimeMBean[]` | `getProducers()` Returns an array of producers for this session.
`long` | `getProducersCurrentCount()` Returns the current number of producers for this session.
`long` | `getProducersHighCount()` Returns the peak number of producers for this session since the last reset.
`long` | `getProducersTotalCount()` Returns the number of producers for this session since the last reset.
`boolean` | `isTransacted()` Determines whether the session is transacted.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getConsumers

    public JMSConsumerRuntimeMBean[] getConsumers()

  Returns an array of consumers for this session.

  Returns:
    The consumers value

### getConsumersCurrentCount

    public long getConsumersCurrentCount()

  Returns the current number of consumers for this session.

  Returns:
    The consumersCurrentCount value

### getConsumersHighCount

    public long getConsumersHighCount()

  Returns the peak number of consumers for this session since the last reset.

  Returns:
    The consumersHighCount value

### getConsumersTotalCount

    public long getConsumersTotalCount()

  Returns the number of consumers instantiated by this session since the last reset.

  Returns:
    The consumersTotalCount value

### getProducers

    public JMSProducerRuntimeMBean[] getProducers()

  Returns an array of producers for this session.

  Returns:
    The producers value

### getProducersCurrentCount

    public long getProducersCurrentCount()

  Returns the current number of producers for this session.

  Returns:
    The producersCurrentCount value

### getProducersHighCount

    public long getProducersHighCount()

  Returns the peak number of producers for this session since the last reset.

  Returns:
    The producersHighCount value

### getProducersTotalCount

    public long getProducersTotalCount()

  Returns the number of producers for this session since the last reset.

  Returns:
    The producersTotalCount value

### isTransacted

    public boolean isTransacted()

  Determines whether the session is transacted.

  Returns:
    The transacted value

### getAcknowledgeMode

    public java.lang.String getAcknowledgeMode()

  Returns the acknowledge mode as one of the following:
  - `AUTO_ACKNOWLEDGE`
  - `CLIENT_ACKNOWLEDGE`
  - `DUPS_OK_ACKNOWLEDGE`
  - `NO_ACKNOWLEDGE`

  Returns:
    The acknowledgeMode value

### getMessagesPendingCount

    public long getMessagesPendingCount()

  Returns the number of messages pending (uncommitted and unacknowledged) for this session.

  Returns:
    The messagesPendingCount value

### getMessagesSentCount

    public long getMessagesSentCount()

  Returns the number of bytes sent by this session since the last reset.

  Returns:
    The messagesSentCount value

### getMessagesReceivedCount

    public long getMessagesReceivedCount()

  Returns the number of messages sent by this session since the last reset.

  Returns:
    The messagesReceivedCount value

### getBytesPendingCount

    public long getBytesPendingCount()

  Returns the number of bytes pending (uncommitted and unacknowledged) for this session.

  Returns:
    The bytesPendingCount value

### getBytesSentCount

    public long getBytesSentCount()

  Returns the number of bytes sent by this session since the last reset.

  Returns:
    The bytesSentCount value

### getBytesReceivedCount

    public long getBytesReceivedCount()

  Returns the number of bytes received by this session since the last reset.

  Returns:
    The bytesReceivedCount value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD